Widgets

List widgets

Returns a paginated list of widgets.

GET /api/v2/widgets Try It

List widgets

cURL
curl --request GET \
  --url 'https://api.example.com/v2/widgets?page=SOME_INTEGER_VALUE' \
  --header 'Authorization: Bearer your-api-token'
200 application/json
{
  "widgets": [
    {
      "id": "wdg_abc123",
      "name": "My first widget",
      "quantity": 12,
      "created_at": "2026-05-11T09:30:00Z"
    }
  ],
  "total": 1,
  "page": 1
}

Returns a paginated list of widgets.

Headers

  • Authorization string required header

    Bearer your-api-token

  • Accept string required header

    application/json

Query parameters

  • page integer query

    The page number for pagination.

Response codes

HTTP status
  • 200

    Returns a paginated list of widgets.

  • 401

    Unauthorized — invalid or missing API token.